#!/bin/bash
set -e

file_env() {
   local var="$1"
   local fileVar="${var}_FILE"

   if [ "${!var:-}" ] && [ "${!fileVar:-}" ]; then
      echo >&2 "error: both $var and $fileVar are set (but are exclusive)"
      exit 1
   fi

   if [ "${!var:-}" ]; then
      export "$var"="${!var}"
   elif [ "${!fileVar:-}" ]; then
      export "$var"="$(< "${!fileVar}")"
   else
      echo >&2 "error: neither $var nor $fileVar is set"
      exit 1
   fi

   unset "$fileVar"
}

file_env GRIST_SESSION_SECRET
file_env GRIST_OIDC_IDP_CLIENT_SECRET

exec ./sandbox/run.sh $@
